export interface DomainAvailability {
    /** Domain name including TLD. For example, `my-new-domain.com`. */
    domain?: string;
    /**
     * Whether the domain is available for purchase. You can purchase the
     * domain in case the boolean is `true`. The domain is already taken
     * when `false` is returned.
     */
    available?: boolean;
    /** Whether the domain has a higher price due to its perceived value or demand. */
    premium?: boolean;
}
export interface CheckDomainAvailabilityRequest {
    /**
     * Domain name. Must include the TLD. For example, `my-new-domain.com`. Only
     * alphanumeric characters, hyphens, and dots are supported.
     *
     * Min: 3 characters
     * Max: 63 characters
     */
    domain: string;
}
export interface CheckDomainAvailabilityResponse {
    /** Information about the domain's availability. */
    availability?: DomainAvailability;
}
interface DomainAvailabilityNonNullableFields {
    domain: string;
    available: boolean;
    premium: boolean;
}
export interface CheckDomainAvailabilityResponseNonNullableFields {
    availability?: DomainAvailabilityNonNullableFields;
}
export {};
