import { toURLSearchParams } from '@wix/sdk-runtime/rest-modules';
import { resolveUrl } from '@wix/sdk-runtime/rest-modules';
function resolveComWixpressPremiumDomainSearchAvailabilityV2DomainAvailabilityServiceUrl(opts) {
    const domainToMappings = {
        'www._base_domain_': [
            {
                srcPath: '/domain-search/v2',
                destPath: '/v2',
            },
            {
                srcPath: '/v2/suggest-domains',
                destPath: '/v2/suggest-domains',
            },
        ],
        'manage._base_domain_': [
            {
                srcPath: '/v2/check-domain-availability',
                destPath: '/v2/check-domain-availability',
            },
            {
                srcPath: '/v2/suggest-domains',
                destPath: '/v2/suggest-domains',
            },
        ],
        'premium._base_domain_': [
            {
                srcPath: '/v2/check-domain-availability',
                destPath: '/v2/check-domain-availability',
            },
            {
                srcPath: '/v2/suggest-domains',
                destPath: '/v2/suggest-domains',
            },
        ],
        'www.wixapis.com': [
            {
                srcPath: '/domain-search/v2',
                destPath: '/v2',
            },
        ],
    };
    return resolveUrl(Object.assign(opts, { domainToMappings }));
}
const PACKAGE_NAME = '@wix/domains_domain-availability';
/**
 * Checks whether the given domain is available for purchase.
 *
 *
 * You can purchase the specified domain in case the returned
 * `availability.available` boolean is `true`. The domain is already taken
 * when `false` is returned.
 *
 * The `domain` field must include the TLD. For example, `my-new-domain.com`.
 *
 * > __Important:__ This call requires an account level API key and cannot be authenticated with the standard authorization header.
 */
export function checkDomainAvailability(payload) {
    function __checkDomainAvailability({ host }) {
        const metadata = {
            entityFqdn: 'wix.premium.domains.v2.availability',
            method: 'GET',
            methodFqn: 'com.wixpress.premium.domain.search.availability.v2.DomainAvailabilityService.CheckDomainAvailability',
            packageName: PACKAGE_NAME,
            url: resolveComWixpressPremiumDomainSearchAvailabilityV2DomainAvailabilityServiceUrl({ protoPath: '/v2/check-domain-availability', data: payload, host }),
            params: toURLSearchParams(payload),
        };
        return metadata;
    }
    return __checkDomainAvailability;
}
//# sourceMappingURL=premium-domains-v2-availability-domain-availability.http.js.map